Subject: Resend DLSW MIB Minutes

From: Brian Jewell <[email-masked]>
Date: Fri, 1 Sep 1995 10:20:52 -0700 (PDT)

Everyone,

I sent this out earlier today, but I haven't seen it posted yet. So I am resending
it. If you received the original, then disregard this message.

===========================================================================

Everyone,

Enclosed are the minutes from the August 22, 1995 meeting for the discussion
of the Data Link Switching MIB. Peter Gayek presided over the meeting and
the following topics were items of discussion.

===========================================================================

* Peter provided a time line showing the milestones required for IETF
  approval of the DLSw MIB. Thanks to the capabilities of modern email
  technology, I am able to provide the highly-graphical display shown 
  below ;-)

  |             MILESTONES                 |    PROJECTED COMPLETION DATE   |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Post Issue on directory indexing     |             8/24/95            |
  |                                        |                                |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Deadline for comments on directory   |             9/1/95             |
  |     indexing                           |                                |
  |                                        |                                |
  |   Post AIW Minutes                     |                                |
  |                                        |                                |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Post Final Draft;                    |             9/8/95             |
  |   Mailing List Review                  |                                |
  |                                        |                                |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Review completed and rework          |             9/15/95            |
  |   started.                             |                                |
  |                                        |                                |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Draft for IETF NMA Advisor Review    |             9/22/95            |
  |   (This would be V7 of the MIB.)       |                                |
  |                                        |                                |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Rework/Resolve Issues                |             10/6/95            |
  |                                        |                                |
  |                                        |                                |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Start Final Review (Version 8)       |             10/19/95           |
  |                                        |                                |
  +----------------------------------------+--------------------------------+
  |                                        |                                |
  |   Working Group Chair recommends MIB   |             10/27/95           |
  |   to IETF NMA Director.                |                                |
  |                                        |                                |
  +----------------------------------------+--------------------------------+

* Definitions of the following objects will be changed to eliminate the "0"
  case for enumerated values (e.g. zero will no longer be valid):
  DlswCircuitPriority and dlswCircuitDiscRemote.

* Peter presented an item regarding problems with the determination of the
  "index" values for the dlswDirMacTable (dlswDirMacIndex) and the
  dlswDirNBTable (dlswDirNBIndex). Since a seperate EMAIL was sent to
  clarify the issue, I will not attempt to reiterate it here.

* It was decided not to add an additional table to the MIB for QLLC mapping
  to DLSw MACs and SAPs. The resolution was that proprietary extensions
  could provide this functionality and the subject will be reconsidered 
  after the development of a QLLC MIB.

* In the interest of following convention, the objects from the NODE Group
  will contain the string "Node" in the object name, i.e. dlswVersion
  will become dlswNodeVersion; dlswVendorId will become dlswNodeVendorId, etc.

* The suggestion of adding XID-related objects to the MIB was rejected, as
  this would expand the scope of the DLSw MIB beyond the "RFC level" down
  into the "SNA (or LLC) layers". Additionally, the objects that were
  suggested are included in other MIBs.

* The suggestion of moving DLSw "trap control objects" (i.e. dlswTrapCntlTConn-
  PartnerReject, dlswTrapCntlTConn, etc.) to under the Node Group in the MIB
  was rejected. Since the OIDs of these objects have been assigned as a
  branch under the Node Group, they are already logically there.

* The description of the dlswTConnConfigAdvertiseMacNB object (page 24) will
  be changed to better indicate that a value of "false" implies that the
  Exclusivity Control Vector will not be sent in the Cap Ex.

* On page 67, it was decided that a "trap control table" (suggested in the
  comments) will not be implemented.

* On page 13, it was decided that a new textual convention should be added
  for the non-canonical format of the MAC address.

* On Page 18, access to the dlswVirtualSegmentLFSize object will remain
  READ-WRITE.

* On Page 21, we agreed that dlswTConnConfigLastModifyTime would not
  be changed when dlswTConnConfigOpens changes.

* The DEFVALs for dlswDirMacLocation (pp. 45), dlswDirNBLocation (pp. 49), 
  may change in the next draft due to compilation considerations.

* Access values for dlswDirLocateMacLocation (pp. 51) and dlswDirLocateNBLocation 
  (pp. 52) may also change to "read-only".

* On Page 64, the following changes will be made:

    dlswSdlcLsLocalBlockNum - changed to -> dlswSdlcLsLocalBlock
    dlswSdlcLsLocalIdNum    - changed to -> dlswSdlcLsLocalId

  and the words "and are not configurable" will be dropped from the
  descriptions of these objects.

* To Do:

  Peter/Dave will update the Compliance Statements in the MIB and release
  a new version.

- Brian Jewell
- 3Com, Inc.
- [email-masked]